# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.cache.ResourceBundleDataCache

Packages that use ResourceBundleDataCache
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceBundleDataCache in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceBundleDataCache
Modifier and Type
Method
Description
`ResourceBundleDataCache`
ResourceManager.`getBundleCache()`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceBundleDataCache
Modifier and Type
Method
Description
`void`
ResourceManager.`setBundleCache(ResourceBundleDataCache bundleCache)`

## Uses of ResourceBundleDataCache in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceBundleDataCache
Modifier and Type
Class
Description
`class`
`NullResourceBundleDataCache`
Disables caching.
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceBundleDataCache
Modifier and Type
Method
Description
`ResourceBundleDataCache`
NullCacheProvider.`createBundleDataCache()`
`ResourceBundleDataCache`
ResourceBundleDataCacheProvider.`createBundleDataCache()`

## Uses of ResourceBundleDataCache in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Classes in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that implement ResourceBundleDataCache
Modifier and Type
Class
Description
`class`
`EHResourceBundleDataCache`
Creation-Date: 13.04.2006, 16:30:34
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceBundleDataCache
Modifier and Type
Method
Description
`ResourceBundleDataCache`
EHCacheProvider.`createBundleDataCache()`